unit HintU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  THintF = class(TForm)
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FXwHint : string;

    procedure SetXwHint( Value : string);
  public
    property XwHint : string read FXwHint write SetXwHint;
  end;

var
  HintF: THintF;

implementation
{$R *.DFM}
uses XWdU;

procedure THintF.FormCreate(Sender: TObject);
begin
  XwHint := '';
end;

procedure THintF.SetXwHint( Value : string);
begin
  FXwHint := Value;
  Label1.Caption := FXwHint;
end;

procedure THintF.FormShow(Sender: TObject);
begin
  if XWordF.Height - Height <= 0 then Top := XWordF.Top + 5
  else Top := XWordF.Top + ( XWordF.Height - Height) DIV 2;
  if XWordF.Width - Width <= 0 then Left := XWordF.Left + 5
  else Left := XWordF.Left + ( XWordF.Width - Width) DIV 2;
end;

end.
